package com.realnet.app-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.app-b.Entity.Todoitem;
import com.realnet.app-b.Services.TodoitemService ;






@RequestMapping(value = "/token/Todoitem")
 @CrossOrigin("*") 
@RestController
public class tokenFree_TodoitemController {
	@Autowired
	private TodoitemService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Todoitem")
		  public Todoitem Savedata(@RequestBody Todoitem data) {
		Todoitem save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Todoitem/{id}")
	public  Todoitem update(@RequestBody Todoitem data,@PathVariable Integer id ) {
		Todoitem update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Todoitem/getall/page")
	public Page<Todoitem> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Todoitem> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Todoitem")
	public List<Todoitem> getdetails() {
		 List<Todoitem> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Todoitem")
	public List<Todoitem> getallwioutsec() {
		 List<Todoitem> get = Service.getdetails();		
		return get;
}
@GetMapping("/Todoitem/{id}")
	public  Todoitem  getdetailsbyId(@PathVariable Integer id ) {
		Todoitem  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Todoitem/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}